bnxt: Update firmware header file with the latest one
ClosedPublic

Authored by bhargava.marreddy_broadcom.com on Sep 1 2017, 11:33 AM.

Details

Summary

hsi_struct_def.h file contains all firmware (HWRM) data struct's, updated that with the latest one which was released on 30'th Aug.
After this upgrade, HWRM version will be 1.8.1.5 (earlier it was 1.4.0).

Diff Detail

Repository
rS FreeBSD src repository
Lint
Lint Skipped
Unit
Unit Tests Skipped
shurd added inline comments.Sep 1 2017, 4:05 PM
sys/dev/bnxt/hsi_struct_def.h
50

So this is for a beta version?

30399

Was this not generated from the hsi_struct_defs_external.h file? I thought that some of these commands were supposed to be confidential.

bhargava.marreddy_broadcom.com marked 2 inline comments as done.Sep 4 2017, 11:17 AM
bhargava.marreddy_broadcom.com added inline comments.
sys/dev/bnxt/hsi_struct_def.h
50

Based on the discussion with firmware team, non-zero HWRM_VERSION_RSVD is acceptable for external releases.
I deleted that comment.

30399

Thanks, it is my mistake. used correct hsi_struct_defs_external.h file this time.

bhargava.marreddy_broadcom.com marked 2 inline comments as done.
shurd accepted this revision.Sep 4 2017, 7:38 PM

It would be great if you could talk to the firmware team and get HWRM_PORT_PHY_I2C_WRITE and HWRM_PORT_PHY_I2C_READ removed from experimental status. There's a standard ioctl() for this, and most users need it to monitor their optics.

This revision is now accepted and ready to land.Sep 4 2017, 7:38 PM

Thanks Stephen, Already opened a mail thread with Firmware team regarding that and will update the status once get back.

Sean Bruno,

If there are no further review comments, can you please commit this change,

Thanks,
Chenna.

sbruno accepted this revision.Sep 6 2017, 5:38 PM

This is a mass replacement of the header file defines. Its a lot of churn.

shurd closed this revision.Sep 7 2017, 6:11 PM

Committed as r323233 here:
https://svnweb.freebsd.org/base?view=revision&revision=323233

Not sure why it wasn't auto-closed.